Main Page Widgets Namespaces Book

# Gtk::Notebook_Helpers::Element Class Reference

Inheritance diagram for Gtk::Notebook_Helpers::Element:

[legend]
List of all members.

## Public Member Functions

| Element (Widget& child)
| Element (Widget& child, Widget& tab, Widget& menu)
| Element (Widget* child, Widget* tab, Widget* menu)

## Protected Attributes

Widget* | child_
Widget* | menu_
Widget* | tab_

## Friends

class | PageList

## Constructor & Destructor Documentation

Gtk::Notebook_Helpers::Element::Element | ( | Widget* | child,
|  | Widget* | tab,
|  | Widget* | menu
| ) |

Gtk::Notebook_Helpers::Element::Element | ( | Widget& | child,
|  | Widget& | tab,
|  | Widget& | menu
| ) |

Gtk::Notebook_Helpers::Element::Element | ( | Widget& | child | ) | `[explicit]`

## Friends And Related Function Documentation

friend class PageList `[friend]`

## Member Data Documentation

Widget* Gtk::Notebook_Helpers::Element::child_ `[protected]`

Widget* Gtk::Notebook_Helpers::Element::menu_ `[protected]`

Widget* Gtk::Notebook_Helpers::Element::tab_ `[protected]`

The documentation for this class was generated from the following file:

- notebook.h